@import './variables';

// Grid

.container {
  background-color:  #0E2F4F;
  display: flex;
  justify-content: center;
  align-items: center;
}

.row {
  display: flex;
  width: 100%;
}

.row-no-width {
  display: flex;
}

.hv-center {
  align-items: center;
  justify-content: center;
}

.h-flex {
  flex-direction: row;
}

.v-flex {
  flex-direction: column;
}

.wrap {
  flex-wrap: wrap;
}

@for $i from 1 through 100 {
  .w-#{$i} {
    width: 1% * $i;
  }
}

@for $i from 1 through 100 {
  .h-#{$i} {
    height: 1% * $i;
  }
}

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

// Texts

.text-uppercase {
  text-transform: uppercase;
}

.text-primary {
  color: $primary;
}

.text-accent {
  color: $accent;
}

// Cursors

.cursor-normal:hover {
  cursor: default;
}

.cursor-pointer:hover {
  cursor: pointer;
}

// Margins

.mx-auto {
  margin-right: auto;
  margin-left: auto;
}

.my-auto {
  margin-top: auto;
  margin-bottom: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .m-#{$i} {
    margin: $i * $base + 0px;
  }
}

.mr-auto {
  margin-right: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .mr-#{$i} {
    margin-right: $i * $base + 0px;
  }
}

.ml-auto {
  margin-left: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .ml-#{$i} {
    margin-left: $i * $base + 0px;
  }
}

.mt-auto {
  margin-top: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .mt-#{$i} {
    margin-top: $i * $base + 0px;
  }
}

.mb-auto {
  margin-bottom: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .mb-#{$i} {
    margin-bottom: $i * $base + 0px;
  }
}

// Paddings

.px-auto {
  padding-right: auto;
  padding-left: auto;
}

.py-auto {
  padding-top: auto;
  padding-bottom: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .p-#{$i} {
    padding: $i * $base + 0px;
  }
}

.pr-auto {
  padding-right: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .pr-#{$i} {
    padding-right: $i * $base + 0px;
  }
}

.pl-auto {
  padding-left: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .pl-#{$i} {
    padding-left: $i * $base + 0px;
  }
}

.pt-auto {
  padding-top: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .pt-#{$i} {
    padding-top: $i * $base + 0px;
  }
}

.pb-auto {
  padding-bottom: auto;
}

@for $i from 0 through 10 {
  $base: 10;
  .pb-#{$i} {
    padding-bottom: $i * $base + 0px;
  }
}
